# needed for epel6
%if 0%{?rhel} && 0%{?rhel} <= 6
%{!?__python2: %global __python2 /usr/bin/python2}
%{!?python2_sitelib: %global python2_sitelib %(%{__python2} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib())")}
%{!?python2_sitearch: %global python2_sitearch %(%{__python2} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib(1))")}
%endif

# We should use Python 3 for fedora 22 and later but only build for Python2 as
# python3-elasticsearch is not yet available (BZ:1220477)
#%%if 0%{?fedora} >= 22
#%%bcond_without python3
#%%else
#%%bcond_with python3
#%%endif
%bcond_with python3

%global srcname curator
%global commit 1113754af8fee504bd91537b5736e4a099bdf324

Name:           elastic-curator
Version:        3.0.3
Release:        1%{?dist}
Summary:        Tools for managing Elasticsearch indices

License:        ASL 2.0
URL:            https://github.com/elastic/curator
Source0:        https://github.com/elastic/curator/archive/%{commit}/%{srcname}-%{commit}.tar.gz
Source1:        curator.1
BuildArch:      noarch

%if %{with python3}
BuildRequires:  python3-click
BuildRequires:  python3-devel
BuildRequires:  python3-nose
BuildRequires:  python3-mock
BuildRequires:  python3-setuptools
%else
BuildRequires:  python-click
BuildRequires:  python-devel
BuildRequires:  python-elasticsearch
BuildRequires:  python-nose
BuildRequires:  python-mock
BuildRequires:  python-setuptools
Requires:       python-click
Requires:       python-elasticsearch
%endif

%description
Have indices in Elasticsearch? This is the tool for you! Like a museum curator 
manages the exhibits and collections on display, Elasticsearch Curator helps 
you curate, or manage your indices.

%prep
%setup -q -n %{srcname}-%{commit}
rm -rf *.egg-info

%build
%if %{with python3}
%{__python3} setup.py build
%else
%{__python2} setup.py build
%endif

%install
%if %{with python3}
%{__python3} setup.py install -O1 --skip-build --root %{buildroot}
%else
%{__python2} setup.py install -O1 --skip-build --root %{buildroot}
%endif

mkdir -p %{buildroot}%{_mandir}/man1
install -D -p -m0644 %{SOURCE1} %{buildroot}%{_mandir}/man1

%check
# only do unit tests, integration tests needs an Elasticsearch instance running
%if %{with python3}
%{_bindir}/nosetests-3.4 test/unit
%else
# skip tests on rhel6, 9 out of 151 fail
%if 0%{?rhel} > 6 || 0%{?fedora}
%{_bindir}/nosetests-2.7 test/unit
%endif
%endif

%files
%doc Changelog.rst CONTRIBUTING.md CONTRIBUTORS README.md
# needed for el6
%{!?_licensedir:%global license %%doc}
%license LICENSE.txt
%{_bindir}/es_repo_mgr
%{_bindir}/curator
%{_mandir}/man1/curator.1*

%if %{with python3}
%{python3_sitelib}/%{srcname}
%{python3_sitelib}/elasticsearch_curator-%{version}-py3.?.egg-info
%else
%{python2_sitelib}/%{srcname}
%{python2_sitelib}/elasticsearch_curator-%{version}-py2.?.egg-info
%endif


%changelog
* Mon May 11 2015 Piotr Popieluch <piotr1212@gmail.com> - 3.0.3-1
- Initial package
